<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8" xmlns:th="http://www.thymeleaf.org">
    <title>Erstelle neuen Beitrag</title>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
          integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <link href="../static/css/style.css" th:href="@{/css/style.css}" rel="stylesheet"/>
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">

    <script>
        $(function () {
            $('[data-toggle="tooltip"]').tooltip()
        })
    </script>

</head>

<body>

<header class="background_gray" th:replace="header :: header"></header>

<div class="form-body">

    <form th:action="@{/saveCategory}" th:object="${category}" method="post">

        <div>
            <input class="col-6" th:field="*{nameCategory}" type="text" placeholder="neue Kategorie erstellen">
            <button class="btn btn-success col-1" type="submit" data-toggle="tooltip" data-placement="top" title="Kategorie erstellen">
                <i class="material-icons">
                    send
                </i>
            </button>
        </div>

    </form>

    <p th:if="${currentUser == null}">Sie sind nicht eingeloggt!</p>
    <p th:if="${currentUser != null and currentUser.isAdministrator()== false}">Sie sind kein Admin!</p>

    <br>
    <br>

    <div class="container">
        <div class="row">
            <table class="table table-striped col-5">
                <tbody>
                <tr th:each="category: ${categorys}">
                    <td>
                        <b>
                            <div th:text="*{category.name}"></div>
                        </b>
                    </td>
                    <td>
                        <form th:if="${currentUser != null}" th:action="@{/deleteCategory(categoryId=${category.id})}"
                              method="POST">
                            <button th:if="${currentUser.isAdministrator()}" class="btn btn-success" type="submit"
                                    data-toggle="tooltip" data-placement="top" title="Kategorie löschen">
                                <i class="material-icons">
                                    delete
                                </i>
                            </button>
                        </form>
                    </td>
                </tr>
                </tbody>
            </table>
            <div class="col-6"></div>
        </div>
    </div>

</div>


<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"
        integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49"
        crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"
        integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy"
        crossorigin="anonymous"></script>

</body>
</html>